<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();

$rfc=$_POST['rfcpr'];



if($rfc!=null){

  $id_dist = $sesion->id;
$cuenta=0;
$cuentap=0;
$tipop=$_POST['pagos'];

$qp = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE rfc =\"$rfc\"";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp = mysqli_fetch_object($cp);
	$id_dist = $rp->id_inver;	
		$nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;

$qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]+1; // Cantidad de Productos para el contador.
	   };
$qCuenta1 = "SELECT COUNT(id_promo) FROM promod";
	  $cCuenta1 = mysqli_query($conexion, $qCuenta1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta1 = mysqli_fetch_row($cCuenta1))
	  {
	      $cuentap = $rCuenta1[0]+1; // Cantidad de Productos para el contador.
	   };

echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script><script language='JavaScript' src='../scripts/Val.js'></script>";


 echo"<form name=\"Selec_Prod_Pedido\" action=\"eventonew2.php\" method=\"post\">";
 
 
 echo"<table id='dProductoLista' CellPadding=5>
                            <tfoot>
                                <tr>
                                    <td>Total</td>
                                    <td id='tcantidad'></td>
                                    <td id='tprecio'></td>
                                    <td id='tpuntos'></td>
                                </tr>
                            </tfoot>
                            <tbody id='ProductoLista'>
                                <tr bgcolor='#594106'>
                                    <th><font color=\"#FFFFFF\">Producto</th></font>
                                   <th><font color=\"#FFFFFF\">Cantidad</th></font>
                                    <th><font color=\"#FFFFFF\">Precio</th></font>
                                    <th><font color=\"#FFFFFF\">Puntos</th></font>
                                    <th></th>
                                </tr>
                            </tbody>
                        </table><br><br>";
 
echo"<center><br><font size=\"6\" color=\"#5C3C12\">Nota de venta</font><br><br>$rfc $nombre";
$q2 = "select id_promo, promodesc, precio, puntos, prodmix from promod where tipo_promo=2 and activa=1 order by promodesc";
  
  $cr2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><b><br>Lista de Promociones en Sistema</b></font><table border=\"1\"> <tr>
			<th></th><th>Descripcion</th><th>Precio</th><th>Puntos</th><th>Productos</th>
			</tr>";$h=0;
  while($r1 = mysqli_fetch_row($cr2))

   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 $a4 = $r1[4];
	  echo "<input type=hidden name=copia_nombreProm$h id='nomp$h' value=$a1>";
/*	  echo "<input type=hidden name=copia_id_rom$h value=$a0>";
	 
	  echo "<input type=hidden name=copia_preciop$h value=$a2>";
	  echo "<input type=hidden name=copia_puntosp$h value=$a3>";
*/
	  
echo"<tr bgcolor=\"#CCFFCC\"><tD><input value='Agregar' id='buttonp$h' type='button' onclick='addpromventa(" . $h . "," . $a0 . "," . $a2 . "," . $a3 . "," . $a4 . ");' ><input type=\"text\" name=cantp$h id='cantp$h' value='1' size=\"5\" maxlength=\"5\"></td><td align=\"center\">$a1</td><td align=\"center\">$a2</td><td align=\"center\">$a3</td>";
  $q21 = "select idprod, cant, nombreProd from promo join productos on promo.idprod=productos.id_prod where promo.promo=$a0 and tipo_prod=1";
  $h++;
  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
 echo"<td align=\"center\">";
  for($k=0;$r11 = mysqli_fetch_row($c21);$k++)
   {
	   $b0 = $r11[0];
	   $b1 = $r11[1];
	   $b2 = $r11[2];
	 
	 echo"$b1 $b2<br>";
	 }

echo"</td>";

}



echo"</table><br><br>Productos de Linea:<TABLE CellPadding=5>
			<TR bgcolor=\"#006633\">";   
            
                   
				echo "
				<th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				<th><font color=\"#FFFFFF\">Puntos</th></font>
				<th><font color=\"#FFFFFF\">Existencias</th></font>
				<th><font color=\"#FFFFFF\">Cantidad</th></font></font>
			</TR>";
			
			$i = 0;
	 $qd = "SELECT id_prod, nombreProd, precio, puntos, cantidad FROM productos join stock on productos.id_prod=stock.idprod where idcd='$dato[0]' and tipoprod='1' order by nombreProd asc";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  if (mysqli_affected_rows($conexion)){
			while($renglon = mysqli_fetch_row($cd))
			{
				echo "<tr bgcolor=\"#CCFFCC\">";
				echo "<td>".$renglon[0]."</td>";
				//echo "<input type=hidden name=copia_id_prod$i value=$renglon[0]>";
				echo "<td id='nom$i'>".$renglon[1]."</td>";
			//	echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";
				echo "<td>"."$".$renglon[2]."</td>";
			//	echo "<input type=hidden name=copia_precio$i value=$renglon[2]>";
			    echo "<td>".$renglon[4]."</td>";
			//	echo "<input type=hidden name=existencias$i value=$renglon[4]>";
				echo "<td align=\"center\">".$renglon[3]."</td>";
			//	echo "<input type=hidden name=copia_puntos$i value=$renglon[3]>";
				echo "<td><input type=\"text\" id='cant$i' name=cant$i value='1' size=\"5\" maxlength=\"5\"></td>";
				echo "<td><input value='Agregar' id='button$i' type='button' onclick='addprodventa(" . $i . "," . $renglon[0] . "," . $renglon[2] . "," . $renglon[3] . "," . $renglon[4] . ");' ></td>";
				
				
				
								$i++;
				echo"</tr>";
			};
					
			echo "
			
			</table>"; 
			echo"<br><br>Papeleria y Accesorios: <TABLE CellPadding=5>
			<TR bgcolor=\"#006633\">";   
            
                   
				echo "
				<th><font color=\"#FFFFFF\">Id. Producto</font></th>
				<th><font color=\"#FFFFFF\">Nombre</th></font>
				<th><font color=\"#FFFFFF\">Precio</th></font>
				<th><font color=\"#FFFFFF\">Puntos</th></font>
				
				<th><font color=\"#FFFFFF\">Cantidad</th></font></font>
			</TR>";
			
			
	 $qd = "SELECT id_prod, nombreProd, precio, puntos FROM productos  where tipoprod=2 order by nombreProd";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  if (mysqli_affected_rows($conexion)){
			while($renglon = mysqli_fetch_row($cd))
			{
				echo"<tr bgcolor=\"#CCFFCC\">";
				echo "<td>".$renglon[0]."</td>";
			//	echo "<input type=hidden name=copia_id_prod$i value=$renglon[0]>";
				echo "<td>".$renglon[1]."</td>";
		//		echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";
				echo "<td>"."$".$renglon[2]."</td>";
		//		echo "<input type=hidden name=copia_precio$i value=$renglon[2]>";
				
				echo "<td align=\"center\">".$renglon[3]."</td>";
	//			echo "<input type=hidden name=copia_puntos$i value=$renglon[3]>";
				
				
				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";
											$i++;
				echo"</tr>";
			};
					
			echo "
			
			</table>"; 
			
			echo "<br>
			
			<br>
	
					
						
						

					
			             
				<input type=hidden name=cuentale value=\"$cuenta\">
				<input type=hidden name=rfcpr value=\"$rfc\">
				
				<input type=hidden name=cuentalep value=\"$cuentap\">
			<input type=hidden name=cuentaless value=\"11\">		 
			<input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\">
  		    </form></center>";     

	}
  }
  
  }//rfc
  else{
	  echo"<center><br><br><font size=\"6\" color=\"#5C3C12\">Ventas Evento Febrero 2016</font><br>
  <form name='f1' action='eventonew.php' method='post'>	
 	<table border='0'  align='center' style='background: url(usuario_comun/logotransp2.gif)'>


	
	<tr height='40'>
	<td align='center'><label style='color:#5C3C12'>RFC Distribuidor:</label>&nbsp;<input type='text' size='14' maxlength='10' name='rfcpr' value='' style='font-family: Times New Roman;text-transform:uppercase;'></td>
	</tr><tr height='30'>
	<tr><td align='center' valign='middle'><input type='submit' value='Buscar'></tr>
	
	</table>
  </form>";
  }
  ?>